delete from report_sql where computer={?Computer};

insert into report_sql (Computer, NUM1, DATE1, DATE2, STR1, STR2, STR3, STR4, STR5, STR6, NUM2, NUM3, NUM4)
-- Prihodi tranzitov
SELECT {?Computer}, 1, REZERVAC_DETAIL_DATUM_OD, REZERVAC_DETAIL_DATUM_DO, REZERVAC_DETAIL_PRIVEZ, KUPCI_PRIIMEK, KUPCI_IME, PLOVILO, 'Arrival', VRSTA, REZERVAC_DETAIL_ID_PRIVEZ, ID_LASTNIKA, ID_PLOVILA FROM V_RESERVATION R1 
WHERE NVL(R1.REZERVAC_DETAIL_OCC_STAT,'N') = 'Y' 
AND R1.STATUS_REZERVAC IN (0, 1, 2) AND R1.VRSTA = 'TR'
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) = (SELECT TRUNC(MIN(RD.DATUM_OD)) FROM REZERVAC_DETAIL RD WHERE RD.ID_REZERVAC = R1.ID_REZERVAC AND RD.STATUS_REZERVAC = 1 AND RD.COMPLETE = 'Y')
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) >= {?From} AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) <= {?To}
AND NOT EXISTS (SELECT R2.* FROM V_RESERVATION R2 WHERE R2.STATUS_REZERVAC IN (0, 1, 2) AND R2.ID_PLOVILA = R1.ID_PLOVILA AND TRUNC(R2.REZERVAC_DETAIL_DATUM_DO) = TRUNC(R1.REZERVAC_DETAIL_DATUM_OD))
UNION ALL
-- Prihodi pogodb
SELECT {?Computer}, 1, REZERVAC_DETAIL_DATUM_OD, REZERVAC_DETAIL_DATUM_DO, REZERVAC_DETAIL_PRIVEZ, KUPCI_PRIIMEK, KUPCI_IME, PLOVILO, 'Arrival', VRSTA, REZERVAC_DETAIL_ID_PRIVEZ, ID_LASTNIKA, ID_PLOVILA FROM V_RESERVATION R1 
WHERE NVL(R1.REZERVAC_DETAIL_OCC_STAT,'N') = 'Y' 
AND R1.STATUS_REZERVAC IN (0, 1, 2) AND R1.VRSTA = 'PO'
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) = (SELECT TRUNC(MIN(RD.DATUM_OD)) FROM REZERVAC_DETAIL RD WHERE RD.ID_REZERVAC = R1.ID_REZERVAC AND RD.STATUS_REZERVAC = 1 AND RD.COMPLETE = 'Y')
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) >= {?From} AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) <= {?To}
AND NOT EXISTS (SELECT R2.* FROM V_RESERVATION R2 WHERE R2.STATUS_REZERVAC IN (0, 1, 2) AND R2.ID_PLOVILA = R1.ID_PLOVILA AND TRUNC(R2.REZERVAC_DETAIL_DATUM_DO) = TRUNC(R1.REZERVAC_DETAIL_DATUM_OD))
UNION ALL
-- Planirani prihodi
SELECT {?Computer}, 1, REZERVAC_DETAIL_DATUM_OD, REZERVAC_DETAIL_DATUM_DO, REZERVAC_DETAIL_PRIVEZ, KUPCI_PRIIMEK, KUPCI_IME, PLOVILO, 'Arrival', VRSTA, REZERVAC_DETAIL_ID_PRIVEZ, ID_LASTNIKA, ID_PLOVILA FROM V_RESERVATION R1 
WHERE NVL(R1.REZERVAC_DETAIL_OCC_STAT,'N') = 'Y' 
AND R1.STATUS_REZERVAC IN (3, 4) AND R1.VRSTA = 'RE'
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) = (SELECT TRUNC(MIN(RD.DATUM_OD)) FROM REZERVAC_DETAIL RD WHERE RD.ID_REZERVAC = R1.ID_REZERVAC AND RD.STATUS_REZERVAC IN (3, 4) AND COALESCE(RD.COMPLETE, 'N') = 'N')
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) >= {?From} AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) <= {?To}
UNION ALL
-- Odhodi tranzitov
SELECT {?Computer}, 2, REZERVAC_DETAIL_DATUM_OD, REZERVAC_DETAIL_DATUM_DO, REZERVAC_DETAIL_PRIVEZ, KUPCI_PRIIMEK, KUPCI_IME, PLOVILO, 'Departure', VRSTA, REZERVAC_DETAIL_ID_PRIVEZ, ID_LASTNIKA, ID_PLOVILA FROM V_RESERVATION R1 
WHERE NVL(R1.REZERVAC_DETAIL_OCC_STAT,'N') = 'Y' 
AND R1.STATUS_REZERVAC IN (0, 1, 2) AND R1.VRSTA = 'TR'
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) = (SELECT TRUNC(MAX(RD.DATUM_OD)) FROM REZERVAC_DETAIL RD WHERE RD.ID_REZERVAC = R1.ID_REZERVAC AND RD.STATUS_REZERVAC = 1 AND RD.COMPLETE = 'Y')
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_DO) >= {?From} AND TRUNC(R1.REZERVAC_DETAIL_DATUM_DO) <= {?To}
AND NOT EXISTS (SELECT R2.* FROM V_RESERVATION R2 WHERE R2.STATUS_REZERVAC IN (0, 1, 2) AND R2.ID_PLOVILA = R1.ID_PLOVILA AND TRUNC(R2.REZERVAC_DETAIL_DATUM_OD) = TRUNC(R1.REZERVAC_DETAIL_DATUM_DO))
UNION ALL
-- Odhodi pogodb
SELECT {?Computer}, 2, REZERVAC_DETAIL_DATUM_OD, REZERVAC_DETAIL_DATUM_DO, REZERVAC_DETAIL_PRIVEZ, KUPCI_PRIIMEK, KUPCI_IME, PLOVILO, 'Departure', VRSTA, REZERVAC_DETAIL_ID_PRIVEZ, ID_LASTNIKA, ID_PLOVILA FROM V_RESERVATION R1 
WHERE NVL(R1.REZERVAC_DETAIL_OCC_STAT,'N') = 'Y' 
AND R1.STATUS_REZERVAC IN (0, 1, 2) AND R1.VRSTA = 'PO'
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) = (SELECT TRUNC(MAX(RD.DATUM_OD)) FROM REZERVAC_DETAIL RD WHERE RD.ID_REZERVAC = R1.ID_REZERVAC AND RD.STATUS_REZERVAC = 1 AND RD.COMPLETE = 'Y')
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_DO) >= {?From} AND TRUNC(R1.REZERVAC_DETAIL_DATUM_DO) <= {?To}
AND NOT EXISTS (SELECT R2.* FROM V_RESERVATION R2 WHERE R2.STATUS_REZERVAC IN (0, 1, 2) AND R2.ID_PLOVILA = R1.ID_PLOVILA AND TRUNC(R2.REZERVAC_DETAIL_DATUM_OD) = TRUNC(R1.REZERVAC_DETAIL_DATUM_DO))
UNION ALL
-- Planirani odhodi
SELECT {?Computer}, 2, REZERVAC_DETAIL_DATUM_OD, REZERVAC_DETAIL_DATUM_DO, REZERVAC_DETAIL_PRIVEZ, KUPCI_PRIIMEK, KUPCI_IME, PLOVILO, 'Departure', VRSTA, REZERVAC_DETAIL_ID_PRIVEZ, ID_LASTNIKA, ID_PLOVILA FROM V_RESERVATION R1 
WHERE NVL(R1.REZERVAC_DETAIL_OCC_STAT,'N') = 'Y' 
AND R1.STATUS_REZERVAC IN (3, 4) AND R1.VRSTA = 'RE'
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_OD) = (SELECT TRUNC(MAX(RD.DATUM_OD)) FROM REZERVAC_DETAIL RD WHERE RD.ID_REZERVAC = R1.ID_REZERVAC AND RD.STATUS_REZERVAC IN (3, 4) AND COALESCE(RD.COMPLETE, 'N') = 'N')
AND TRUNC(R1.REZERVAC_DETAIL_DATUM_DO) >= {?From} AND TRUNC(R1.REZERVAC_DETAIL_DATUM_DO) <= {?To}
;

update report_sql set str7 =
(select reason from (select * from final_departure where id in (select max(id) from final_departure group by id_lastnika, id_plovila)) where id_lastnika = num3 and id_plovila = num4)
where computer={?Computer};