delete from sql_reports where computer= {?Computer}; 

-- s1 - ifra materiala, storitve, knjibe...
-- s2 - naziv materiala
-- s3, s4, s9 - razno / pomona polja
-- s5 - oznaka konta
-- s6 - naziv konta
-- s8 - konto iz sifkont_detail
-- s10 - naziv grupe knjib


-- TERJATVE, RAZNE KNJIBE ************** 

-- ************** iz tabele pravila_knjizenja

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, a.pogoj, a.pogoj1, pogoj2, null, a.konto, b.naziv, null, '1 - Various transactions'
from pravila_knjizenja a, sifkont b
where a.konto is not null and a.konto=b.oznaka(+) and pogoj not in ('NNCARDS' ,'BLAGAJNA',
'ZIRORACUN','AKONTACIJA1','PREDPLACILA','PREDPLACILA1','NKNJIZBA');

update sql_reports set s1='Account receivable - non-cash (domestic)'
where s1='KUPCI' and s2='DOMACI' and s3 is null
and computer= {?Computer};

update sql_reports set s1='Account receivable - non-cash (foreign)'
where s1='KUPCI' and s2='TUJI' and s3 is null
and computer= {?Computer};

update sql_reports set s1='Account receivable-register (domestic)'
where s1='KUPCI' and s2='DOMACI' and s3 ='RAC'
and computer= {?Computer};

update sql_reports set s1='Account receivable-register (foreign)'
where s1='KUPCI' and s2='TUJI' and s3 ='RAC'
and computer= {?Computer};

update sql_reports set s1='Rounding domestic'
where s1='KUPCI' and s2='DZAOKROZI'
and computer= {?Computer};

update sql_reports set s1='Rounding foreign'
where s1='KUPCI' and s2='TZAOKROZI'
and computer= {?Computer};

update sql_reports set s1='Leveling-income'
where s1='IZRAVNAVA' and s2='PRIHODKI'
and computer= {?Computer};

update sql_reports set s1='Leveling-expenditures'
where s1='IZRAVNAVA' and s2='ODHODKI'
and computer= {?Computer};

update sql_reports set s1='Prepayments'
where s1='AKONTACIJA' and s2='DOMACA'
and computer= {?Computer};

update sql_reports set s1='Prepayments-foreign'
where s1='AKONTACIJA' and s2='TUJA'
and computer= {?Computer};

-- ************** iz tabele nknjizba

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, a.slo, a.konto_dom, a.pkonto_dom, null, a.konto_dom, null, null, '11 - Various transactions'
from nknjizba a
where a.konto_dom is not null or a.pkonto_dom is not null;

update sql_reports set s6=s2||'-'||
(select a.naziv
from sifkont a where a.oznaka = s2)
where s10= '11 - Various transactions' and computer= {?Computer};

update sql_reports set s6=s6||' / '||
(select a.oznaka
from sifkont a where a.oznaka = s3)
where s10= '11 - Various transactions' and s3 is not null and computer= {?Computer};

-- PLAILA *******************

-- *************** plaila na TRR -- lokacije

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10, n1, n2)
select  {?Computer},  'Bank account-'||c.sifra, null, null, null, a.konto, b.naziv, null, '2 - Payments', a.nnlocation_id, b.ctrl
from pravila_knjizenja a, sifkont b, nnlocation c
where a.pogoj='NKNJIZBA' and pogoj1='VIR' and pogoj2='DOMACA' and a.konto is not null and a.konto=b.oznaka and a.nnlocation_id=c.id;

update sql_reports set s8=
(select a.description from sifkont_detail a where a.nnlocation_id=n1 and a.id_sifkont=n2)
where s1 like 'Bank account%' and computer= {?Computer};

-- *************** plaila akontacij na TRR -- lokacije

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10, n1, n2)
select  {?Computer},  'Prepayment bank account-'||c.sifra, null, null, null, a.pkonto, b.naziv, null, '2 - Payments', a.nnlocation_id, b.ctrl
from pravila_knjizenja a, sifkont b, nnlocation c
where a.pogoj='NKNJIZBA' and pogoj1='AKF' and pogoj2='DOMACA' and a.pkonto is not null and a.pkonto=b.oznaka and a.nnlocation_id=c.id;

update sql_reports set s8=
(select a.description from sifkont_detail a where a.nnlocation_id=n1 and a.id_sifkont=n2)
where s1 like 'Prepayment bank account%' and computer= {?Computer};

-- *************** plaila na blagajni -- brez lokacij

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, a.opis, null, null, null, a.konto, c.naziv, null, '3 - Cash register payment - overall'
from nncards a, pravila_knjizenja b, sifkont c
where a.id_cards=b.pogoj1(+) and b.pogoj1 is null and a.konto=c.oznaka and a.saldkont is null;

-- *************** plaila na blagajni -- lokacije

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10, n1, n2, s7)
select  {?Computer}, a.opis, null, null, null, a.konto, c.naziv, null, '31 - Cash register payment-'||d.sifra, b.nnlocation_id, c.ctrl, 'NNCARDS'
from nncards a, pravila_knjizenja b, sifkont c, nnlocation d
where a.id_cards=b.pogoj1(+) and b.pogoj1 is not null and b.pogoj='NNCARDS' 
and b.konto=c.oznaka and a.saldkont is null and b.nnlocation_id=d.id;

update sql_reports set s8=
(select a.description from sifkont_detail a where a.nnlocation_id=n1 and a.id_sifkont=n2)
where s7 ='NNCARDS' and computer= {?Computer};

-- DAVEK ***************

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, a.opis ||' - '||to_char(a.stopnja), null, null, null, a.konto, b.naziv, null, '4 - VAT'
from s_davek a, sifkont b
where a.konto=b.oznaka(+) and a.akt='D';

--STORITVE ***************

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, a.opis, null, null, null, c.konto_sit, d.naziv, null, '5 - Income - services'
from m_nnstomar a, nvezasg b, temgru c, sifkont d
where a.akt ='Y' and a.sifra=b.sif_stor(+) and b.sif_grupe=c.sifra (+) and c.konto_sit=d.oznaka(+);

-- MATERIAL ***************** 

-- ***************** material s konti na samem artiklu

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, substr(a.naziv||'-'||a.naziv1,1,50), null, a.id_grupa, b.naziv, a.konto, c.naziv, null, '6 - Income Material'
from s_artikli a, s_grupe b, sifkont c
where a.id_grupa=b.id_grupa(+) and a.konto=c.oznaka(+) and a.v_uporabi='Y' and a.konto is not null;

-- ***************** material s konti na grupi

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, substr(a.naziv||'-'||a.naziv1,1,50), null, a.id_grupa, b.naziv, b.konto, c.naziv, null, '6 - Income Material'
from s_artikli a, s_grupe b, sifkont c
where a.id_grupa=b.id_grupa(+) and b.konto=c.oznaka(+) and a.v_uporabi='Y' and a.konto is null and b.konto is not null;

-- ******************* material s splonim kontom za materal

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, substr(a.naziv||'-'||a.naziv1,1,50), null, a.id_grupa, b.naziv, null, c.naziv, '0MAT', '6 - Income Material'
from s_artikli a, s_grupe b, sifkont c
where a.id_grupa=b.id_grupa(+) and b.konto=c.oznaka(+) and a.v_uporabi='Y' and a.konto is null and b.konto is null;

update sql_reports set s5=
(select b.konto_sit
from nvezasg a, temgru b where a.sif_stor ='0MAT' and a.sif_grupe=b.sifra)
where s9='0MAT' and computer= {?Computer};

update sql_reports set s6=
(select a.naziv
from sifkont a where a.oznaka=s5)
where s9='0MAT' and computer= {?Computer};

-- RAZMEJITVE *************** 

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, b.opis, null, null, null, a.konto, c.naziv, null, '7 - Deferrals'
from pravila_razmejitve a, m_nnstomar b, sifkont c
where a.storitev=b.sifra and a.konto=c.oznaka(+) and a.storitev is not null;

-- *************** razmejitve grupe storitev

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, b.opis, null, null, null, a.konto, c.naziv, null, 'Deferrals'
from pravila_razmejitve a, temgru b, sifkont c
where a.temgru=b.sifra and a.konto=c.oznaka(+) and a.temgru is not null;

-- ZAMENJAVA naziva konta, e obstaja naziv v tabeli SIFKONT_DETAIL

update sql_reports set s6=s8
where s8 is not null and computer= {?Computer};
