delete from report_sql where computer = {?computer};

-- str1 = artikel
-- str2 = id_grupa

-- num1 = id_artikel
-- num2 = zaloga na prvi dan izbrane periode
-- num3 = vrednost zaloge na prvi dan izbrane periode
-- num4 = kolicina nabave v periodi
-- num5 = vrednost nabave v periodi
-- num6 = kolicina prodaje v periodi
-- num7 = vrednost prodaje v periodi
-- num8 = interna poraba v periodi
-- num9 = vredsnot interne prodaje v periodi
-- num10 = zaloga na zadnji dan izbrane periode
-- num11 = vrednost zaloge na zadnji dan izbrane periode
-- num12 = id_category

-- insertiramo vse artikle, ki imajo manage stocks = 'Y' in niso v grupi WT

insert into report_sql (computer,num1,str1,str2)
select {?computer},id_artikel,naziv1,id_grupa from s_artikli
where v_uporabi = 'Y' and stocks = 'Y' and (id_grupa <> 'Water taxi' or id_grupa is null);

-- num2 = zaloga na prvi dan

update report_sql set num2 = 
(select sum(case when d.tip = 'P' or (d.tip = 'T' and p.zap_st = 2) then coalesce(t.kolicina,p.kolicina) else 0 end) -
sum(case when d.tip = 'I' or (d.tip = 'T' and p.zap_st = 1) then coalesce(t.kolicina,p.kolicina) else 0 end) 
from s_dokument d left join s_promet p on d.id_dokument = p.id_dokument
left join s_transakcije t on p.id_promet = t.id_promet
left join s_artikli a on p.id_artikel = a.id_artikel
where trunc(d.datum) < {?datum1}
and a.id_artikel = num1
and d.id_lokacija = {?warehouse})
where computer = {?computer};

-- num3 = vrednost zaloge na prvi dan

update report_sql set num3 = 
(select sum(case when d.tip = 'P' or (d.tip = 'T' and p.zap_st = 2) then coalesce(t.kolicina,p.kolicina)*coalesce(p.cena,0) else 0 end) -
sum(case when d.tip = 'I' or (d.tip = 'T' and p.zap_st = 1) then coalesce(t.kolicina,p.kolicina)*t.cena_skl else 0 end) 
from s_dokument d left join s_promet p on d.id_dokument = p.id_dokument
left join s_transakcije t on p.id_promet = t.id_promet
left join s_artikli a on p.id_artikel = a.id_artikel
where trunc(d.datum) < {?datum1}
and a.id_artikel = num1
and d.id_lokacija = {?warehouse})
where computer = {?computer};

-- num4 = kolicina nabav v obdobju

update report_sql set num4 = 
(select sum(case when d.tip = 'P' or (d.tip = 'T' and p.zap_st = 2) then coalesce(t.kolicina,p.kolicina) else 0 end) 
from s_dokument d left join s_promet p on d.id_dokument = p.id_dokument
left join s_transakcije t on p.id_promet = t.id_promet
left join s_artikli a on p.id_artikel = a.id_artikel
where trunc(d.datum) between {?datum1} and {?datum2}
and a.id_artikel = num1
and d.id_lokacija = {?warehouse})
where computer = {?computer};

-- num5 = vrednost nabav v obdobju

update report_sql set num5 = 
(select sum(case when d.tip = 'P' or (d.tip = 'T' and p.zap_st = 2) then coalesce(t.kolicina,p.kolicina)*coalesce(p.cena,0) else 0 end) 
from s_dokument d left join s_promet p on d.id_dokument = p.id_dokument
left join s_transakcije t on p.id_promet = t.id_promet
left join s_artikli a on p.id_artikel = a.id_artikel
where trunc(d.datum) between {?datum1} and {?datum2}
and a.id_artikel = num1
and d.id_lokacija = {?warehouse})
where computer = {?computer};

-- num6 = kolicina prodaje v periodi (brez internih)

update report_sql set num6 = 
(select sum(case when d.tip = 'I' or (d.tip = 'T' and p.zap_st = 1) then coalesce(t.kolicina,p.kolicina) else 0 end)
from s_dokument d left join s_promet p on d.id_dokument = p.id_dokument
left join s_transakcije t on p.id_promet = t.id_promet
left join s_artikli a on p.id_artikel = a.id_artikel
left join s_obracun o on p.id_obracun = o.id_obracun
left join racun_data rd on o.id_obracun = rd.id_obracun
where trunc(d.datum) between {?datum1} and {?datum2}
and (rd.popust is null or rd.popust <> 100)
and a.id_artikel = num1
and d.id_lokacija = {?Warehouse})
where computer = {?computer};


-- num7 = vrednost prodaje v periodi (brez internih)

update report_sql set num7 = 
(select sum(case when d.tip = 'I' or (d.tip = 'T' and p.zap_st = 1) then coalesce(t.kolicina,p.kolicina)*coalesce(t.cena_skl,0) else 0 end)
from s_dokument d left join s_promet p on d.id_dokument = p.id_dokument
left join s_transakcije t on p.id_promet = t.id_promet
left join s_artikli a on p.id_artikel = a.id_artikel
left join s_obracun o on p.id_obracun = o.id_obracun
left join racun_data rd on o.id_obracun = rd.id_obracun
where trunc(d.datum) between {?datum1} and {?datum2}
and (rd.popust is null or rd.popust <> 100)
and a.id_artikel = num1
and d.id_lokacija = {?warehouse})
where computer = {?computer};

-- num8 = kolicina prodaje v periodi (interna)

update report_sql set num8 = 
(select sum(case when d.tip = 'I' or (d.tip = 'T' and p.zap_st = 1) then coalesce(t.kolicina,p.kolicina) else 0 end)
from s_dokument d left join s_promet p on d.id_dokument = p.id_dokument
left join s_transakcije t on p.id_promet = t.id_promet
left join s_artikli a on p.id_artikel = a.id_artikel
left join s_obracun o on p.id_obracun = o.id_obracun
left join racun_data rd on o.id_obracun = rd.id_obracun
where trunc(d.datum) between {?datum1} and {?datum2}
and rd.popust = 100
and a.id_artikel = num1
and d.id_lokacija = {?warehouse})
where computer = {?computer};


-- num9 = vrednost prodaje v periodi (interna)

update report_sql set num9 = 
(select sum(case when d.tip = 'I' or (d.tip = 'T' and p.zap_st = 1) then coalesce(t.kolicina,p.kolicina)*coalesce(t.cena_skl,0) else 0 end)
from s_dokument d left join s_promet p on d.id_dokument = p.id_dokument
left join s_transakcije t on p.id_promet = t.id_promet
left join s_artikli a on p.id_artikel = a.id_artikel
left join s_obracun o on p.id_obracun = o.id_obracun
left join racun_data rd on o.id_obracun = rd.id_obracun
where trunc(d.datum) between {?datum1} and {?datum2}
and rd.popust = 100
and a.id_artikel = num1
and d.id_lokacija = {?warehouse})
where computer = {?computer};

-- num10 = zaloga na zadnji dan

update report_sql set num10 = 
(select sum(case when d.tip = 'P' or (d.tip = 'T' and p.zap_st = 2) then coalesce(t.kolicina,p.kolicina) else 0 end) -
sum(case when d.tip = 'I' or (d.tip = 'T' and p.zap_st = 1) then coalesce(t.kolicina,p.kolicina) else 0 end) 
from s_dokument d left join s_promet p on d.id_dokument = p.id_dokument
left join s_transakcije t on p.id_promet = t.id_promet
left join s_artikli a on p.id_artikel = a.id_artikel
where trunc(d.datum) <= {?datum2}
and a.id_artikel = num1
and d.id_lokacija = {?warehouse})
where computer = {?computer};

-- num11 = vrednost zaloge na zadnji dan

update report_sql set num11 = 
(select sum(case when d.tip = 'P' or (d.tip = 'T' and p.zap_st = 2) then coalesce(t.kolicina,p.kolicina)*coalesce(p.cena,0) else 0 end) -
sum(case when d.tip = 'I' or (d.tip = 'T' and p.zap_st = 1) then coalesce(t.kolicina,p.kolicina)*t.cena_skl else 0 end) 
from s_dokument d left join s_promet p on d.id_dokument = p.id_dokument
left join s_transakcije t on p.id_promet = t.id_promet
left join s_artikli a on p.id_artikel = a.id_artikel
where trunc(d.datum) <= {?datum2}
and a.id_artikel = num1
and d.id_lokacija = {?warehouse})
where computer = {?computer};

-- num12 = id_category

update report_sql set num12 =
(select id_category from s_grupe where id_grupa = str2)
where computer = {?computer};