delete from report_sql where computer={?computer};

-- STR1 n_priveza
-- str2 plovilo
-- str3 lastnik
-- num1 t. dni v marini
-- DATE1 prvi dan meseca
-- DATE2 zadnji dan meseca
-- NUM20 tevilo dni v mesecu
-- NUM4  tevilo privezov v posamezni kategoriji
-- NUM19 indikator podvojenega priveza (teje se samo enkrat)

insert into report_sql (computer, str1, str2, str3, num1, date1, date2)
SELECT {?computer}, berth, boat, customer, sum(days), {?datum_od}, {?datum_do} 
FROM (
select datum, nnprivez.n_priveza berth, rezervac.plovilo boat, rezervac.naziv customer, count(distinct datum) days,
       row_number() OVER (PARTITION BY datum, nnprivez.n_priveza ORDER BY nnprivez.n_priveza) stev
FROM rezervac_detail r
JOIN rezervac ON r.id_rezervac=rezervac.id
JOIN nnprivez ON r.id_privez=nnprivez.id_privez
JOIN m_nnkateg ON nnprivez.dolzina <= m_nnkateg.range_to AND nnprivez.dolzina >= m_nnkateg.range_from AND m_nnkateg.sifra_sklopa='AL'
LEFT OUTER JOIN (SELECT {?datum_od} + rownum -1 datum
FROM   all_objects
WHERE  rownum <= {?datum_do} - {?datum_od} +1) d ON 1=1
WHERE r.status_rezervac in (0,1)
AND (r.datum_od < d.datum and r.datum_do > d.datum or
r.datum_od = r.datum_do and r.datum_od = d.datum)
AND m_nnkateg.sifra={?kategorija}
GROUP BY datum, nnprivez.n_priveza, rezervac.plovilo, rezervac.naziv
--ORDER BY nnprivez.n_priveza
)
WHERE stev=1
GROUP BY  berth, boat, customer
--ORDER BY berth, boat
;

UPDATE report_sql SET num20=date2-date1+1
WHERE computer={?computer};

UPDATE report_sql SET NUM4=(
       SELECT count(*)
       FROM nnprivez
       JOIN m_nnkateg ON nnprivez.dolzina <= m_nnkateg.range_to AND nnprivez.dolzina >= m_nnkateg.range_from AND m_nnkateg.sifra_sklopa='AL'
       WHERE occupancy_statistics='Y' AND nvl(dolzina,0) > 0
       AND m_nnkateg.sifra={?kategorija})
WHERE computer={?computer};

--UPDATE report_sql SET num1=0
--WHERE num19 > 1 AND computer={?computer};
