DELETE FROM report_sql WHERE computer={?computer};

-- NUM1  numerini mesec
-- NUM2  leto
-- STR1  3-mestni naziv meseca
-- DATE1 prvi dan meseca
-- DATE2 zadnji dan meseca
-- STR2  kategorija
-- STR3  ifra kategorije
-- NUM3  sort iz M_NNKATEG
-- NUM11 znesek iz m_storitve_income (update kasneje)

-- najprej napolnim po en zapis za vsak mesec v zahtevanem obdobju ter za vse kategorije
INSERT INTO report_sql (computer, NUM1, NUM2, STR1, str2, str3, num3)
--SELECT distinct {?computer}, 
--       extract (month from ({?Datum_od} + rownum - 1)) num_mesec, 
--       extract (year from ({?Datum_od} + rownum - 1)) num_leto, 
--       to_char(({?Datum_od} + rownum - 1),'Mon') str_mesec, m_nnkateg.opis, m_nnkateg.sifra, m_nnkateg.sort
--FROM   all_objects
--LEFT OUTER JOIN m_nnkateg ON 1=1
--WHERE  rownum <= {?Datum_do} - {?Datum_od} +1
--AND m_nnkateg.sifra_sklopa='AL'
--;
SELECT {?computer}, a.num_mesec, a.num_leto, a.str_mesec, m_nnkateg.opis, m_nnkateg.sifra, m_nnkateg.sort
FROM m_nnkateg
LEFT OUTER JOIN (SELECT  distinct extract (month from ({?Datum_od} + rownum - 1)) num_mesec,
                         extract (year from ({?Datum_od} + rownum - 1)) num_leto,
                         to_char(({?Datum_od} + rownum - 1),'Mon') str_mesec, null opis, null sifra, null sort
                 FROM all_objects
                 WHERE rownum <= {?Datum_do} - {?Datum_od} +1) a ON 1=1
WHERE  m_nnkateg.sifra_sklopa='AL'
;

-- prvi in zadnji dan posameznega meseca
UPDATE report_sql SET date1=to_date('01.' || to_char(num1,'99') || '.' || to_char(num2,'9999'),'dd.mm.yyyy')
WHERE computer={?computer};

UPDATE report_sql SET date2=last_day(date1)
WHERE computer={?computer};

-- dela predolgo na webu !!!
--UPDATE report_sql SET num11=(
--       SELECT nvl(round(sum(msi.znesek),2),0)
--       FROM m_storitve_income msi 
--       JOIN racun_data r ON msi.Id_Racun_data=r.Id_racun_data
--       JOIN m_storitve m ON r.Id_Storitve=m.Id_Storitve
--       JOIN m_nnstomar ms ON m.Storitev=ms.Sifra
--       JOIN saldkont s ON r.Id_Saldkont=s.Id_saldkont
--       LEFT OUTER JOIN nnprivez n ON m.Id_privez = n.Id_privez
--       LEFT OUTER JOIN m_nnkateg k ON k.Sifra=m.Kat AND k.Sifra_sklopa='AL'
--       WHERE ms.Berth_Income = 'Y'
--       AND msi.datum BETWEEN report_sql.date1 AND report_sql.date2
-- datum iz saldkont je merodajen, vse pred tem datumom se upoteva v mesec izdaje dokumenta
--       AND CASE WHEN msi.datum < s.datum THEN s.datum ELSE msi.datum END BETWEEN report_sql.date1 AND report_sql.date2
--       AND k.Sifra=report_sql.str3)
--WHERE computer={?computer};

UPDATE report_sql SET num11=(
       SELECT nvl(round(sum(msi.znesek),2),0) FROM
             (SELECT sum(a.znesek) znesek, a.sifra, a.datum FROM
                    (SELECT msi.znesek, k.sifra, case when msi.datum<s.datum then s.datum else msi.datum end datum
                     FROM m_storitve_income msi 
                     JOIN racun_data r ON msi.Id_Racun_data=r.Id_racun_data
                     JOIN m_storitve m ON r.Id_Storitve=m.Id_Storitve
                     JOIN m_nnstomar ms ON m.Storitev=ms.Sifra
                     JOIN saldkont s ON r.Id_Saldkont=s.Id_saldkont
                     LEFT OUTER JOIN nnprivez n ON m.Id_privez = n.Id_privez
                     LEFT OUTER JOIN m_nnkateg k ON k.Sifra=m.Kat AND k.Sifra_sklopa='AL'
                     WHERE ms.Berth_Income = 'Y') a
              GROUP BY a.sifra, a.datum) msi
       WHERE msi.datum BETWEEN report_sql.date1 AND report_sql.date2
       AND msi.Sifra=report_sql.str3)
WHERE computer={?computer};
