DELETE FROM report_sql WHERE computer={?computer};

-- NUM13 id_racun_data
-- NUM14 leto
-- STR2  kategorija
-- STR3  stara HS koda
-- STR4  int_code
-- STR5  ime in priimek
-- STR6  ime plovila
-- NUM15  dolina plovila
-- NUM16  irina plovila
-- STR7  privez
-- STR8  t. rauna
-- DATE2 datum rauna
-- STR9  komentar
-- NUM17 znesek rauna
-- DATE3 storitev od
-- DATE4 storitev do
-- NUM1  suma januar
-- NUM2  suma februar
-- NUM3  suma marec
-- NUM4  suma april
-- NUM5  suma maj
-- NUM6  suma junij
-- NUM7  suma julij
-- NUM8  suma avgust
-- NUM9  suma september
-- NUM10 suma oktober
-- NUM11 suma november
-- NUM12 suma december


INSERT INTO report_sql (computer, num13, num14, str2, str3, str4, str5, str6, num15, num16, str7, str8, date2, str9, num17, date3, date4, 
                        num1, num2, num3, num4, num5, num6, num7, num8, num9, num10, num11, num12)
SELECT {?computer},
       r.id_racun_data, 
       {?leto},
       k.opis,
       kp.inicialke,
       kp.int_code, 
       kp.ime || ' ' ||  kp.priimek, 
       p.ime, p.dolzina, 
       p.sirina, 
       n.n_priveza, 
       s.n_racuna, 
       s.datum, 
       m.komentar, 
       r.cenabd,
       m.datum_od, 
       m.datum_do,
       (SELECT sum(znesek) FROM m_storitve_income WHERE id_racun_data=r.id_racun_data 
        AND CASE WHEN datum < s.datum THEN s.datum else datum END BETWEEN 
            TO_DATE('01.01.' || {?leto},'dd.mm.yyyy') AND TO_DATE('31.01.' || {?leto},'dd.mm.yyyy')) jan,
       (SELECT sum(znesek) FROM m_storitve_income WHERE id_racun_data=r.id_racun_data 
        AND CASE WHEN datum < s.datum THEN s.datum else datum END BETWEEN 
            TO_DATE('01.02.' || {?leto},'dd.mm.yyyy') AND TO_DATE('01.03.' || {?leto},'dd.mm.yyyy') -1) feb,
       (SELECT sum(znesek) FROM m_storitve_income WHERE id_racun_data=r.id_racun_data 
        AND CASE WHEN datum < s.datum THEN s.datum else datum END BETWEEN 
            TO_DATE('01.03.' || {?leto},'dd.mm.yyyy') AND TO_DATE('31.03.' || {?leto},'dd.mm.yyyy')) mar,
       (SELECT sum(znesek) FROM m_storitve_income WHERE id_racun_data=r.id_racun_data 
        AND CASE WHEN datum < s.datum THEN s.datum else datum END BETWEEN 
            TO_DATE('01.04.' || {?leto},'dd.mm.yyyy') AND TO_DATE('30.04.' || {?leto},'dd.mm.yyyy')) apr,
       (SELECT sum(znesek) FROM m_storitve_income WHERE id_racun_data=r.id_racun_data 
        AND CASE WHEN datum < s.datum THEN s.datum else datum END BETWEEN 
            TO_DATE('01.05.' || {?leto},'dd.mm.yyyy') AND TO_DATE('31.05.' || {?leto},'dd.mm.yyyy')) maj,
       (SELECT sum(znesek) FROM m_storitve_income WHERE id_racun_data=r.id_racun_data 
        AND CASE WHEN datum < s.datum THEN s.datum else datum END BETWEEN 
            TO_DATE('01.06.' || {?leto},'dd.mm.yyyy') AND TO_DATE('30.06.' || {?leto},'dd.mm.yyyy')) jun,
       (SELECT sum(znesek) FROM m_storitve_income WHERE id_racun_data=r.id_racun_data 
        AND CASE WHEN datum < s.datum THEN s.datum else datum END BETWEEN 
            TO_DATE('01.07.' || {?leto},'dd.mm.yyyy') AND TO_DATE('31.07.' || {?leto},'dd.mm.yyyy')) jul,
       (SELECT sum(znesek) FROM m_storitve_income WHERE id_racun_data=r.id_racun_data 
        AND CASE WHEN datum < s.datum THEN s.datum else datum END BETWEEN 
            TO_DATE('01.08.' || {?leto},'dd.mm.yyyy') AND TO_DATE('31.08.' || {?leto},'dd.mm.yyyy')) avg,
       (SELECT sum(znesek) FROM m_storitve_income WHERE id_racun_data=r.id_racun_data 
        AND CASE WHEN datum < s.datum THEN s.datum else datum END BETWEEN 
            TO_DATE('01.09.' || {?leto},'dd.mm.yyyy') AND TO_DATE('30.09.' || {?leto},'dd.mm.yyyy')) sep,
       (SELECT sum(znesek) FROM m_storitve_income WHERE id_racun_data=r.id_racun_data 
        AND CASE WHEN datum < s.datum THEN s.datum else datum END BETWEEN 
            TO_DATE('01.10.' || {?leto},'dd.mm.yyyy') AND TO_DATE('31.10.' || {?leto},'dd.mm.yyyy')) okt,
       (SELECT sum(znesek) FROM m_storitve_income WHERE id_racun_data=r.id_racun_data 
        AND CASE WHEN datum < s.datum THEN s.datum else datum END BETWEEN 
            TO_DATE('01.11.' || {?leto},'dd.mm.yyyy') AND TO_DATE('30.11.' || {?leto},'dd.mm.yyyy')) nov,
       (SELECT sum(znesek) FROM m_storitve_income WHERE id_racun_data=r.id_racun_data 
        AND CASE WHEN datum < s.datum THEN s.datum else datum END BETWEEN 
            TO_DATE('01.12.' || {?leto},'dd.mm.yyyy') AND TO_DATE('31.12.' || {?leto},'dd.mm.yyyy')) dec
FROM racun_data r
JOIN m_storitve m ON r.Id_Storitve=m.Id_Storitve
JOIN m_nnstomar ms ON m.Storitev=ms.Sifra
JOIN saldkont s ON r.Id_Saldkont=s.Id_saldkont
LEFT OUTER JOIN kupci kp ON m.id_lastnika=kp.id
LEFT OUTER JOIN plovila p ON m.id_plovila=p.id
LEFT OUTER JOIN nnprivez n ON m.Id_privez = n.Id_privez
LEFT OUTER JOIN m_nnkateg k ON k.Sifra=m.Kat AND k.Sifra_sklopa='AL'
WHERE ms.Berth_Income = 'Y'
AND r.id_racun_data in (SELECT msi.id_racun_data FROM m_storitve_income msi WHERE EXTRACT (YEAR FROM CASE WHEN msi.datum < s.datum THEN s.datum else msi.datum END) = {?leto})
;
