delete from report_sql where computer={?computer};

-- STR1 n_priveza
-- str2 n_racuna
-- str3 lastnik
-- num1 t. plaanih dni
-- DATE1 prvi dan meseca
-- DATE2 zadnji dan meseca
-- NUM20 tevilo dni v mesecu
-- NUM4  tevilo privezov v posamezni kategoriji

insert into report_sql (computer, str1, str2, str3, num1, date1, date2)
select {?computer}, n.n_priveza berth, r.n_racuna invoice, k.priimek, (count(distinct msi.datum) * CASE WHEN r.znesek < 0 THEN -1 ELSE 1 END),
       {?datum_od}, {?datum_do}
FROM racun_data r
JOIN m_storitve m ON r.Id_Storitve=m.Id_Storitve
JOIN m_storitve_income msi ON m.Id_Storitve=msi.Id_Storitve
JOIN m_nnstomar ms ON m.Storitev=ms.Sifra
JOIN saldkont s ON r.Id_Saldkont=s.Id_saldkont
JOIN kupci k ON s.Id_kupca = k.id
JOIN plovila p ON s.Id_Plovila=p.Id
LEFT OUTER JOIN nnprivez n ON (CASE WHEN m.Id_privez IS NULL THEN msi.Id_privez ELSE m.Id_Privez END) = n.Id_privez
LEFT OUTER JOIN m_nnkateg k ON n.dolzina <= k.range_to AND n.dolzina >= k.range_from AND k.sifra_sklopa='AL'
--LEFT OUTER JOIN m_nnkateg k ON k.Sifra=m.Kat AND k.Sifra_sklopa='AL'
WHERE ms.Berth_Income = 'Y'
AND m.Datum_od <> m.Datum_do
AND msi.Datum BETWEEN {?datum_od} and {?datum_do}
AND k.Sifra={?kategorija}
GROUP BY n.n_priveza, r.n_racuna, r.znesek, k.priimek
;

UPDATE report_sql SET num20=date2-date1+1
WHERE computer={?computer};

UPDATE report_sql SET NUM4=(
       SELECT count(*)
       FROM nnprivez
       JOIN m_nnkateg ON nnprivez.dolzina <= m_nnkateg.range_to AND nnprivez.dolzina >= m_nnkateg.range_from AND m_nnkateg.sifra_sklopa='AL'
       WHERE occupancy_statistics='Y' AND nvl(dolzina,0) > 0
       AND m_nnkateg.sifra={?kategorija})
WHERE computer={?computer};