delete from sql_reports where computer= {?Computer}; 

-- ***************** material s konti na samem artiklu

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, a.naziv, a.naziv1, a.id_grupa, b.naziv, a.konto, c.naziv, null, 'Material'
from s_artikli a, s_grupe b, sifkont c
where a.id_grupa=b.id_grupa(+) and a.konto=c.oznaka(+) and a.v_uporabi='Y' and a.konto is not null;

-- ***************** material s konti na grupi

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, a.naziv, a.naziv1, a.id_grupa, b.naziv, b.konto, c.naziv, null, 'Material'
from s_artikli a, s_grupe b, sifkont c
where a.id_grupa=b.id_grupa(+) and b.konto=c.oznaka(+) and a.v_uporabi='Y' and a.konto is null and b.konto is not null;

-- ******************* material s splonim kontom za materal

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, a.naziv, a.naziv1, a.id_grupa, b.naziv, null, c.naziv, '0MAT', 'Material'
from s_artikli a, s_grupe b, sifkont c
where a.id_grupa=b.id_grupa(+) and b.konto=c.oznaka(+) and a.v_uporabi='Y' and a.konto is null and b.konto is null;

update sql_reports set s5=
(select b.konto_sit
from nvezasg a, temgru b where a.sif_stor ='0MAT' and a.sif_grupe=b.sifra)
where s9='0MAT' and computer= {?Computer};

update sql_reports set s6=
(select a.naziv
from sifkont a where a.oznaka=s5)
where s9='0MAT' and computer= {?Computer};

--*************** storitve

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, a.opis, null, null, null, c.konto_sit, d.naziv, null, 'Income -- services'
from m_nnstomar a, nvezasg b, temgru c, sifkont d
where a.akt ='Y' and a.sifra=b.sif_stor(+) and b.sif_grupe=c.sifra (+) and c.konto_sit=d.oznaka(+);

--*************** rauni, plaila TRR, akontacije in ostalo

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, a.pogoj, a.pogoj1, pogoj2, null, a.konto, b.naziv, null, 'Statement of accounts'
from pravila_knjizenja a, sifkont b
where a.konto is not null and a.konto=b.oznaka(+) and pogoj<>'NNCARDS' and pogoj<>'BLAGAJNA';

update sql_reports set s1='Account receivable -- non--cash (domestic)'
where s1='KUPCI' and s2='DOMACI' and s3 is null
and computer= {?Computer};

update sql_reports set s1='Account receivable -- non--cash (foreign)'
where s1='KUPCI' and s2='TUJI' and s3 is null
and computer= {?Computer};

update sql_reports set s1='Account receivable--register (domestic)'
where s1='KUPCI' and s2='DOMACI' and s3 ='RAC'
and computer= {?Computer};

update sql_reports set s1='Account receivable--register (foreign)'
where s1='KUPCI' and s2='TUJI' and s3 ='RAC'
and computer= {?Computer};

update sql_reports set s1='Rounding domestic'
where s1='KUPCI' and s2='DZAOKROZI'
and computer= {?Computer};

update sql_reports set s1='Rounding foreign'
where s1='KUPCI' and s2='TZAOKROZI'
and computer= {?Computer};

update sql_reports set s1='Leveling--income'
where s1='IZRAVNAVA' and s2='PRIHODKI'
and computer= {?Computer};

update sql_reports set s1='Leveling--expenditures'
where s1='IZRAVNAVA' and s2='ODHODKI'
and computer= {?Computer};

update sql_reports set s1='Bank account'
where s1='ZIRORACUN' and s2='DOMACI'
and computer= {?Computer};

update sql_reports set s1='Bank account--foreign currency'
where s1='ZIRORACUN' and s2='DEVIZNI'
and computer= {?Computer};

update sql_reports set s1='Prepayment -- domestic'
where s1='AKONTACIJA' and s2='DOMACA'
and computer= {?Computer};

update sql_reports set s1='Prepayment -- foreign'
where s1='AKONTACIJA' and s2='TUJA'
and computer= {?Computer};

-- *************** plaila na blagajni -- brez lokacij

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, a.opis, null, null, null, a.konto, c.naziv, null, 'Cash register payment'
from nncards a, pravila_knjizenja b, sifkont c
where a.id_cards=b.pogoj1(+) and b.pogoj1 is null and a.konto=c.oznaka and a.saldkont is null and a.active='Y';

-- *************** plaila na blagajni -- lokacije

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, a.opis, null, null, null, a.konto, c.naziv, null, 'Cash register payment'||d.sifra
from nncards a, pravila_knjizenja b, sifkont c, nnlocation d
where a.id_cards=b.pogoj1(+) and b.pogoj1 is not null and b.pogoj='NNCARDS' 
and b.konto=c.oznaka and a.saldkont is null and b.nnlocation_id=d.id and a.active='Y';

-- *************** ostalo -- iz tabele nknjizba

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, a.slo, a.konto_dom, a.pkonto_dom, null, null, null, null, 'Miscellaneous transactions'
from saldkont s, nknjizba a  
where s.vrsta_racuna=a.saldkont and a.rocni_vnos='D' and a.saldkont not in ('AKO','AKF','VIR') and a.export_record ='Y'
group by a.slo, a.konto_dom, a.pkonto_dom;

update sql_reports set s6=s2||'--'||
(select a.naziv
from sifkont a where a.oznaka = s2)
where s10='Miscellaneous transactions' and computer= {?Computer};

update sql_reports set s6=s6||' / '||
(select a.oznaka
from sifkont a where a.oznaka = s3)
where s10='Miscellaneous transactions' and s3 is not null and computer= {?Computer};

-- *************** davek

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, a.opis ||' -- '||to_char(a.stopnja), null, null, null, a.konto, b.naziv, null, 'VAT'
from s_davek a, sifkont b
where a.konto=b.oznaka(+) and a.akt='D';

-- *************** razmejitve storitve

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, b.opis, null, null, null, a.konto, c.naziv, null, 'Deferrals'
from pravila_razmejitve a, m_nnstomar b, sifkont c
where a.storitev=b.sifra and a.konto=c.oznaka(+) and a.storitev is not null;

-- *************** razmejitve grupe storitev

insert into sql_reports (computer, s1, s2, s3, s4, s5, s6, s9, s10)
select  {?Computer}, b.opis, null, null, null, a.konto, c.naziv, null, 'Deferrals'
from pravila_razmejitve a, temgru b, sifkont c
where a.temgru=b.sifra and a.konto=c.oznaka(+) and a.temgru is not null;
