delete from report_sql where computer={?computer};

-- dolzina (num1) in st. prostih privezov (num2)
-- ni ve grupirano po dolini, ker se loeno obravnavajo pomoli GP, HP, IS in IN (oz. posamezni privezi)
insert into report_sql (computer, num1, num10, num2, date1, date2, str2)
select {?computer}, dolzina, id_privez, 1, {?datum_od}, {?datum_do}, '1' from nnprivez
where occupancy_statistics = 'Y'
?and objekt = {?objekt} 
?and kategorija = {?kategorija}
and id_privez not between 581 and 595
and id_privez not between 601 and 616
and id_privez <> 621
and id_privez not between 641 and 656
;

-- privezi na pomolih G in H, ki so bili na novo vneseni, se upotevajo ele od 18.5.2020
insert into report_sql (computer, num1, num10, num2, date1, date2, str2)
select {?computer}, dolzina, id_privez, 1, CASE WHEN to_date('18.05.2020','dd.mm.yyyy') BETWEEN {?datum_od} AND {?datum_do} THEN to_date('18.05.2020','dd.mm.yyyy') ELSE {?datum_od} END, {?datum_do}, '1' from nnprivez
where occupancy_statistics = 'Y'
?and objekt = {?objekt} 
?and kategorija = {?kategorija}
and id_privez between 581 and 595
;

-- privezi na pomolu I, ki so bili na novo vneseni, se upotevajo ele od 20.6.2020
insert into report_sql (computer, num1, num10, num2, date1, date2, str2)
select {?computer}, dolzina, id_privez, 1, CASE WHEN to_date('20.06.2020','dd.mm.yyyy') BETWEEN {?datum_od} AND {?datum_do} THEN to_date('20.06.2020','dd.mm.yyyy') ELSE {?datum_od} END, {?datum_do}, '1' from nnprivez
where occupancy_statistics = 'Y'
?and objekt = {?objekt} 
?and kategorija = {?kategorija}
and (id_privez between 601 and 616
or id_privez = 621
or id_privez between 641 and 656)
;

-- zasedeni privezi (num3)
update report_sql set
num3=nvl((select st_zased_dni_sum/({?datum_do}-{?datum_od}) from
          (select sum(st_zased_dni) as st_zased_dni_sum, dolzina, id_privez from (
             select 
                 case when r.datum_od = r.datum_do then 1
                 when r.datum_od < {?datum_od} then 
                     case when r.datum_do < {?datum_do} then r.datum_do - {?datum_od}
                                                        else {?datum_do} - {?datum_od}
                     end
                 when r.datum_od >= {?datum_od} then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od 
                     end
                 end as st_zased_dni, 
                 nnprivez.dolzina, nnprivez.id_privez
             from rezervac_detail r
             join nnprivez on r.id_privez=nnprivez.id_privez
             where r.status_rezervac in (0,1)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and objekt = {?objekt} 
             ?and kategorija = {?kategorija}
             )
            group by dolzina, id_privez)
     where dolzina=num1 and id_privez=num10),0)
where computer={?computer};

--noitve na voljo (num4)
update report_sql set
num4=({?datum_do}-{?datum_od})*num2
where computer={?computer}
and num10 not between 581 and 595
and num10 not between 601 and 616
and num10 <> 621
and num10 not between 641 and 656
;

--noitve na voljo za GP,HP (num4)
update report_sql set
num4=({?datum_do} - 
      CASE WHEN {?datum_od} <= to_date('18.05.2020','dd.mm.yyyy') THEN to_date('18.05.2020','dd.mm.yyyy') ELSE {?datum_od} END)* num2
where computer={?computer}
and num10 between 581 and 595
;

--noitve na voljo za IS IN (num4)
update report_sql set
num4=({?datum_do} -
      CASE WHEN {?datum_od} <= to_date('20.06.2020','dd.mm.yyyy') THEN to_date('20.06.2020','dd.mm.yyyy') ELSE {?datum_od} END)* num2
where computer={?computer}
and (NUM10 between 601 and 616
or NUM10 = 621
or NUM10 between 641 and 656)
;

--noitve zasedene (num5)
update report_sql set
num5=nvl((select st_zased_dni_sum from
          (select sum(st_zased_dni) as st_zased_dni_sum, dolzina, id_privez from (
             select 
                 case when r.datum_od = r.datum_do then 0 
                 when r.datum_od < {?datum_od} then 
                     case when r.datum_do < {?datum_do} then r.datum_do - {?datum_od}
                                                        else {?datum_do} - {?datum_od}
                     end
                 when r.datum_od >= {?datum_od} then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od 
                     end
                 end as st_zased_dni, 
                 nnprivez.dolzina, nnprivez.id_privez
             from rezervac_detail r
             join nnprivez on r.id_privez=nnprivez.id_privez
             where r.status_rezervac in (0,1)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and objekt = {?objekt} 
             ?and kategorija = {?kategorija}
             )
            group by dolzina, id_privez)
     where dolzina=num1 and id_privez=num10),0)
where computer={?computer}
and num10 not between 581 and 595
and num10 not between 601 and 616
and num10 <> 621
and num10 not between 641 and 656
;

--noitve zasedene za GP, HP (num5)
update report_sql set
num5=nvl((select st_zased_dni_sum from
          (select sum(st_zased_dni) as st_zased_dni_sum, dolzina, id_privez from (
             select 
                 case when r.datum_od = r.datum_do then 0 
                 when r.datum_od < CASE WHEN {?datum_od} <= to_date('18.05.2020','dd.mm.yyyy') THEN to_date('18.05.2020','dd.mm.yyyy') ELSE {?datum_od} END then 
                     case when r.datum_do < {?datum_do} then r.datum_do - CASE WHEN {?datum_od} <= to_date('18.05.2020','dd.mm.yyyy') THEN to_date('18.05.2020','dd.mm.yyyy') ELSE {?datum_od} END
                                                        else {?datum_do} - CASE WHEN {?datum_od} <= to_date('18.05.2020','dd.mm.yyyy') THEN to_date('18.05.2020','dd.mm.yyyy') ELSE {?datum_od} END
                     end
                 when r.datum_od >= CASE WHEN {?datum_od} <= to_date('18.05.2020','dd.mm.yyyy') THEN to_date('18.05.2020','dd.mm.yyyy') ELSE {?datum_od} END then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od 
                     end
                 end as st_zased_dni, 
                 nnprivez.dolzina, nnprivez.id_privez
             from rezervac_detail r
             join nnprivez on r.id_privez=nnprivez.id_privez
             where r.status_rezervac in (0,1)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and objekt = {?objekt} 
             ?and kategorija = {?kategorija}
             )
            group by dolzina, id_privez)
     where dolzina=num1 and id_privez=num10),0)
where computer={?computer}
and num10 between 581 and 595
;

--noitve zasedene za IS, IN (num5)
update report_sql set
num5=nvl((select st_zased_dni_sum from
          (select sum(st_zased_dni) as st_zased_dni_sum, dolzina, id_privez from (
             select 
                 case when r.datum_od = r.datum_do then 0 
                 when r.datum_od < CASE WHEN {?datum_od} <= to_date('20.06.2020','dd.mm.yyyy') THEN to_date('20.06.2020','dd.mm.yyyy') ELSE {?datum_od} END then 
                     case when r.datum_do < {?datum_do} then r.datum_do - CASE WHEN {?datum_od} <= to_date('20.06.2020','dd.mm.yyyy') THEN to_date('20.06.2020','dd.mm.yyyy') ELSE {?datum_od} END
                                                        else {?datum_do} - CASE WHEN {?datum_od} <= to_date('20.06.2020','dd.mm.yyyy') THEN to_date('20.06.2020','dd.mm.yyyy') ELSE {?datum_od} END
                     end
                 when r.datum_od >= CASE WHEN {?datum_od} <= to_date('20.06.2020','dd.mm.yyyy') THEN to_date('20.06.2020','dd.mm.yyyy') ELSE {?datum_od} END then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od 
                     end
                 end as st_zased_dni, 
                 nnprivez.dolzina, nnprivez.id_privez
             from rezervac_detail r
             join nnprivez on r.id_privez=nnprivez.id_privez
             where r.status_rezervac in (0,1)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and objekt = {?objekt} 
             ?and kategorija = {?kategorija}
             )
            group by dolzina, id_privez)
     where dolzina=num1 and id_privez=num10),0)
where computer={?computer}
and (NUM10 between 601 and 616
or NUM10 = 621
or NUM10 between 641 and 656)
;

--metri na voljo (num7)
update report_sql set
num7=(num1*num2*({?datum_do}-{?datum_od}))
where computer={?computer}
and num10 not between 581 and 595
and num10 not between 601 and 616
and num10 <> 621
and num10 not between 641 and 656
;

--metri na voljo za GP, HP (num7)
update report_sql set
num7=(num1*num2*({?datum_do}-CASE WHEN {?datum_od} <= to_date('18.05.2020','dd.mm.yyyy') THEN to_date('18.05.2020','dd.mm.yyyy') ELSE {?datum_od} END))
where computer={?computer}
and num10 between 581 and 595
;

--metri na voljo za IS, IN (num7)
update report_sql set
num7=(num1*num2*({?datum_do}-CASE WHEN {?datum_od} <= to_date('20.06.2020','dd.mm.yyyy') THEN to_date('20.06.2020','dd.mm.yyyy') ELSE {?datum_od} END))
where computer={?computer}
and (NUM10 between 601 and 616
or NUM10 = 621
or NUM10 between 641 and 656)
;

--metri zasedeni (num8)
update report_sql set
num8=nvl((select zased_m from
          (select sum(st_zased_dni*dolzina_pl) as zased_m, dolzina, id_privez from (
             select 
                 case when r.datum_od = r.datum_do then 1
                 when r.datum_od < {?datum_od} then 
                     case when r.datum_do < {?datum_do} then r.datum_do - {?datum_od}
                                                        else {?datum_do} - {?datum_od}
                     end
                 when r.datum_od >= {?datum_od} then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od 
                     end
                 end as st_zased_dni, 
                 nnprivez.dolzina, nnprivez.id_privez,
                 plovila.dolzina as dolzina_pl
             from rezervac_detail r
             join nnprivez on r.id_privez=nnprivez.id_privez
             join rezervac on r.id_rezervac=rezervac.id
             join plovila  on rezervac.id_plovila=plovila.id
             where r.status_rezervac in (0,1)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and objekt = {?objekt} 
             ?and kategorija = {?kategorija}
             )
            group by dolzina, id_privez)
     where dolzina=num1 and id_privez=num10),0)
where computer={?computer}
and num10 not between 581 and 595
and num10 not between 601 and 616
and num10 <> 621
and num10 not between 641 and 656
;

--metri zasedeni za GP, HP (num8)
update report_sql set
num8=nvl((select zased_m from
          (select sum(st_zased_dni*dolzina_pl) as zased_m, dolzina, id_privez from (
             select 
                 case when r.datum_od = r.datum_do then 1
                 when r.datum_od < CASE WHEN {?datum_od} <= to_date('18.05.2020','dd.mm.yyyy') THEN to_date('18.05.2020','dd.mm.yyyy') ELSE {?datum_od} END then 
                     case when r.datum_do < {?datum_do} then r.datum_do - CASE WHEN {?datum_od} <= to_date('18.05.2020','dd.mm.yyyy') THEN to_date('18.05.2020','dd.mm.yyyy') ELSE {?datum_od} END
                                                        else {?datum_do} - CASE WHEN {?datum_od} <= to_date('18.05.2020','dd.mm.yyyy') THEN to_date('18.05.2020','dd.mm.yyyy') ELSE {?datum_od} END
                     end
                 when r.datum_od >= CASE WHEN {?datum_od} <= to_date('18.05.2020','dd.mm.yyyy') THEN to_date('18.05.2020','dd.mm.yyyy') ELSE {?datum_od} END then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od 
                     end
                 end as st_zased_dni, 
                 nnprivez.dolzina, nnprivez.id_privez,
                 plovila.dolzina as dolzina_pl
             from rezervac_detail r
             join nnprivez on r.id_privez=nnprivez.id_privez
             join rezervac on r.id_rezervac=rezervac.id
             join plovila  on rezervac.id_plovila=plovila.id
             where r.status_rezervac in (0,1)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and objekt = {?objekt} 
             ?and kategorija = {?kategorija}
             )
            group by dolzina, id_privez)
     where dolzina=num1 and id_privez=num10),0)
where computer={?computer}
and num10 between 581 and 595
;

--metri zasedeni za IS, IN (num8)
update report_sql set
num8=nvl((select zased_m from
          (select sum(st_zased_dni*dolzina_pl) as zased_m, dolzina, id_privez from (
             select 
                 case when r.datum_od = r.datum_do then 1
                 when r.datum_od < CASE WHEN {?datum_od} <= to_date('20.06.2020','dd.mm.yyyy') THEN to_date('20.06.2020','dd.mm.yyyy') ELSE {?datum_od} END then 
                     case when r.datum_do < {?datum_do} then r.datum_do - CASE WHEN {?datum_od} <= to_date('20.06.2020','dd.mm.yyyy') THEN to_date('20.06.2020','dd.mm.yyyy') ELSE {?datum_od} END
                                                        else {?datum_do} - CASE WHEN {?datum_od} <= to_date('20.06.2020','dd.mm.yyyy') THEN to_date('20.06.2020','dd.mm.yyyy') ELSE {?datum_od} END
                     end
                 when r.datum_od >= CASE WHEN {?datum_od} <= to_date('20.06.2020','dd.mm.yyyy') THEN to_date('20.06.2020','dd.mm.yyyy') ELSE {?datum_od} END then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od 
                     end
                 end as st_zased_dni, 
                 nnprivez.dolzina, nnprivez.id_privez,
                 plovila.dolzina as dolzina_pl
             from rezervac_detail r
             join nnprivez on r.id_privez=nnprivez.id_privez
             join rezervac on r.id_rezervac=rezervac.id
             join plovila  on rezervac.id_plovila=plovila.id
             where r.status_rezervac in (0,1)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and objekt = {?objekt} 
             ?and kategorija = {?kategorija}
             )
            group by dolzina, id_privez)
     where dolzina=num1 and id_privez=num10),0)
where computer={?computer}
and (NUM10 between 601 and 616
or NUM10 = 621
or NUM10 between 641 and 656)
;

-------------------------------------------------------------------
-- trenutno so podatki grupirani po dolinah in id_privez, treba je samo po dolinah
-------------------------------------------------------------------
insert into report_sql (computer, num1, num2, num3, num4, num5, num7, num8, str2)
select {?computer}, num1, sum(num2), sum(num3), sum(num4), sum(num5), sum(num7), sum(num8), '2'
from report_sql
where computer={?computer}
and str2='1'
group by num1;

delete from report_sql
where computer={?computer}
and str2='1';

--% zasedenih noi (num6)
update report_sql set
num6=(num5/num4)*100
where computer={?computer};

--% zasedenih metrov (num9)
update report_sql set
num9 = 0
where computer={?computer};

update report_sql set
num9 = num8/num7*100
where computer={?computer}
and num7 <> 0;